## TurnGen: a household chores turn generator
## Copyright (C) 2006 Angelo "Encelo" Theodorou
##

import os, sys

import gettext
gettext.bindtextdomain('turngen', 'po')
gettext.textdomain('turngen')
_ = gettext.gettext


class Config:
	"""Configuration  managing class"""
	def __init__(self, fname):
		"""Parse config"""
		self.__config = {}
		
		if os.path.exists(fname) == False:
			print _("Config file %s doesn't exists!") % fname
			sys.exit(-1)

		execdict = {}
		execfile(fname, globals(), execdict)
		self.__config = execdict['Config']


	def __getitem__(self, key):
		"""Return a value from the config dicitonary"""
		try:
			return self.__config[key]
		except KeyError:
			return None
